<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient 4.2.3: org.apache.http.impl.client.testCustomAuthPreference');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 10:25:52 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestAuthenticationStrategy.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestAuthenticationStrategy_testCustomAuthPreference_1xe.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/impl/client/TestAuthenticationStrategy.html?line=271#src-271" >testCustomAuthPreference</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        14 Jan 22:50:59
    </td>
    <td class="graphPercent alignTop">
        0.0010    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testCustomAuthPreference</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.TargetAuthenticationStrategy</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/client/TargetAuthenticationStrategy.html?id=2498#TargetAuthenticationStrategy"             title="TargetAuthenticationStrategy" name="sl-42">org.apache.http.impl.client.TargetAuthenticationStrategy</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.auth.BasicSchemeFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/auth/BasicSchemeFactory.html?id=2498#BasicSchemeFactory"             title="BasicSchemeFactory" name="sl-43">org.apache.http.impl.auth.BasicSchemeFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.BasicCredentialsProvider</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/client/BasicCredentialsProvider.html?id=2498#BasicCredentialsProvider"             title="BasicCredentialsProvider" name="sl-44">org.apache.http.impl.client.BasicCredentialsProvider</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7105263</span>
            71.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.1% Covered" class="barPositive contribBarPositive" style="width: 71.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.auth.RFC2617Scheme</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/auth/RFC2617Scheme.html?id=2498#RFC2617Scheme"             title="RFC2617Scheme" name="sl-51">org.apache.http.impl.auth.RFC2617Scheme</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6923077</span>
            69.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="30.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69.2% Covered" class="barPositive contribBarPositive" style="width: 69.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.AuthOption</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/AuthOption.html?id=2498#AuthOption"             title="AuthOption" name="sl-35">org.apache.http.auth.AuthOption</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5555556</span>
            55.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="44.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="55.6% Covered" class="barPositive contribBarPositive" style="width: 55.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.auth.AuthSchemeBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/auth/AuthSchemeBase.html?id=2498#AuthSchemeBase"             title="AuthSchemeBase" name="sl-57">org.apache.http.impl.auth.AuthSchemeBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.AuthSchemeRegistry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/AuthSchemeRegistry.html?id=2498#AuthSchemeRegistry"             title="AuthSchemeRegistry" name="sl-46">org.apache.http.auth.AuthSchemeRegistry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.41025642</span>
            41%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="41% Covered" class="barPositive contribBarPositive" style="width: 41%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.AuthScope</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/AuthScope.html?id=2498#AuthScope"             title="AuthScope" name="sl-45">org.apache.http.auth.AuthScope</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3553719</span>
            35.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.5% Covered" class="barPositive contribBarPositive" style="width: 35.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.AuthenticationStrategyImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/client/AuthenticationStrategyImpl.html?id=2498#AuthenticationStrategyImpl"             title="AuthenticationStrategyImpl" name="sl-62">org.apache.http.impl.client.AuthenticationStrategyImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.24074075</span>
            24.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="24.1% Covered" class="barPositive contribBarPositive" style="width: 24.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.auth.BasicScheme</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/auth/BasicScheme.html?id=2498#BasicScheme"             title="BasicScheme" name="sl-60">org.apache.http.impl.auth.BasicScheme</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.1923077</span>
            19.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.2% Covered" class="barPositive contribBarPositive" style="width: 19.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.BasicUserPrincipal</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/BasicUserPrincipal.html?id=2498#BasicUserPrincipal"             title="BasicUserPrincipal" name="sl-42">org.apache.http.auth.BasicUserPrincipal</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.15151516</span>
            15.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="84.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="15.2% Covered" class="barPositive contribBarPositive" style="width: 15.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.UsernamePasswordCredentials</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/UsernamePasswordCredentials.html?id=2498#UsernamePasswordCredentials"             title="UsernamePasswordCredentials" name="sl-43">org.apache.http.auth.UsernamePasswordCredentials</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.13043478</span>
            13%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="87% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="13% Covered" class="barPositive contribBarPositive" style="width: 13%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 10:26:28 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
